FLAC 1.3.1pre1

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
FLAC::Metadata::SeekTable Class Reference
FLAC C++ API » FLAC++/metadata.h: metadata interfaces » FLAC++/metadata.h: metadata object classes

`#include <metadata.h>`

Inheritance diagram for FLAC::Metadata::SeekTable:

## Public Member Functions
| SeekTable (::FLAC__StreamMetadata *object, bool copy)
SeekTable & | assign (::FLAC__StreamMetadata *object, bool copy)
unsigned | get_num_points () const
::FLAC__StreamMetadata_SeekPoint | get_point (unsigned index) const
bool | resize_points (unsigned new_num_points)
void | set_point (unsigned index, const ::FLAC__StreamMetadata_SeekPoint &point)
bool | insert_point (unsigned index, const ::FLAC__StreamMetadata_SeekPoint &point)
bool | delete_point (unsigned index)
bool | is_legal () const
bool | template_append_placeholders (unsigned num)
bool | template_append_point (FLAC__uint64 sample_number)
bool | template_append_points (FLAC__uint64 sample_numbers[], unsigned num)
bool | template_append_spaced_points (unsigned num, FLAC__uint64 total_samples)
bool | template_append_spaced_points_by_samples (unsigned samples, FLAC__uint64 total_samples)
bool | template_sort (bool compact)
bool | is_valid () const
bool | get_is_last () const
::FLAC__MetadataType | get_type () const
unsigned | get_length () const
void | set_is_last (bool)
| operator const ::FLAC__StreamMetadata * () const
| SeekTable (const SeekTable &object)
| SeekTable (const ::FLAC__StreamMetadata &object)
| SeekTable (const ::FLAC__StreamMetadata *object)
SeekTable & | operator= (const SeekTable &object)
SeekTable & | operator= (const ::FLAC__StreamMetadata &object)
SeekTable & | operator= (const ::FLAC__StreamMetadata *object)
bool | operator== (const SeekTable &object) const
bool | operator== (const ::FLAC__StreamMetadata &object) const
bool | operator== (const ::FLAC__StreamMetadata *object) const
bool | operator!= (const SeekTable &object) const
bool | operator!= (const ::FLAC__StreamMetadata &object) const
bool | operator!= (const ::FLAC__StreamMetadata *object) const
bool | operator== (const Prototype &) const
bool | operator!= (const Prototype &) const

## Protected Member Functions
Prototype & | assign_object (::FLAC__StreamMetadata *object, bool copy)
virtual void | clear ()

## Protected Attributes
::FLAC__StreamMetadata * | object_

## Detailed Description

SEEKTABLE metadata block. See the overview for more, and the format specification.

## Constructor & Destructor Documentation

FLAC::Metadata::SeekTable::SeekTable | ( | const SeekTable & | object | ) |
| inline

Constructs a copy of the given object. This form always performs a deep copy.

FLAC::Metadata::SeekTable::SeekTable | ( | const ::FLAC__StreamMetadata & | object | ) |
| inline

Constructs a copy of the given object. This form always performs a deep copy.

FLAC::Metadata::SeekTable::SeekTable | ( | const ::FLAC__StreamMetadata * | object | ) |
| inline

Constructs a copy of the given object. This form always performs a deep copy.

FLAC::Metadata::SeekTable::SeekTable | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) |  |
| inline

Constructs an object with copy control. See Prototype(::FLAC__StreamMetadata *object, bool copy).

## Member Function Documentation

SeekTable& FLAC::Metadata::SeekTable::operator= | ( | const SeekTable & | object | ) |
| inline

Assign from another object. Always performs a deep copy.

References FLAC::Metadata::Prototype::operator=().

SeekTable& FLAC::Metadata::SeekTable::operator= | ( | const ::FLAC__StreamMetadata & | object | ) |
| inline

Assign from another object. Always performs a deep copy.

References FLAC::Metadata::Prototype::operator=().

SeekTable& FLAC::Metadata::SeekTable::operator= | ( | const ::FLAC__StreamMetadata * | object | ) |
| inline

Assign from another object. Always performs a deep copy.

References FLAC::Metadata::Prototype::operator=().

SeekTable& FLAC::Metadata::SeekTable::assign | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) |  |
| inline

Assigns an object with copy control. See Prototype::assign_object(::FLAC__StreamMetadata *object, bool copy).

References FLAC::Metadata::Prototype::assign_object().

bool FLAC::Metadata::SeekTable::operator== | ( | const SeekTable & | object | ) | const
| inline

Check for equality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator==().

bool FLAC::Metadata::SeekTable::operator== | ( | const ::FLAC__StreamMetadata & | object | ) | const
| inline

Check for equality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator==().

bool FLAC::Metadata::SeekTable::operator== | ( | const ::FLAC__StreamMetadata * | object | ) | const
| inline

Check for equality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator==().

bool FLAC::Metadata::SeekTable::operator!= | ( | const SeekTable & | object | ) | const
| inline

Check for inequality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator!=().

bool FLAC::Metadata::SeekTable::operator!= | ( | const ::FLAC__StreamMetadata & | object | ) | const
| inline

Check for inequality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator!=().

bool FLAC::Metadata::SeekTable::operator!= | ( | const ::FLAC__StreamMetadata * | object | ) | const
| inline

Check for inequality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator!=().

bool FLAC::Metadata::SeekTable::resize_points | ( | unsigned | new_num_points | ) |

See FLAC__metadata_object_seektable_resize_points()

void FLAC::Metadata::SeekTable::set_point | ( | unsigned | index,
|  | const ::FLAC__StreamMetadata_SeekPoint & | point
| ) |  |

See FLAC__metadata_object_seektable_set_point()

bool FLAC::Metadata::SeekTable::insert_point | ( | unsigned | index,
|  | const ::FLAC__StreamMetadata_SeekPoint & | point
| ) |  |

See FLAC__metadata_object_seektable_insert_point()

bool FLAC::Metadata::SeekTable::delete_point | ( | unsigned | index | ) |

See FLAC__metadata_object_seektable_delete_point()

bool FLAC::Metadata::SeekTable::is_legal | ( |  | ) | const

See FLAC__metadata_object_seektable_is_legal()

bool FLAC::Metadata::SeekTable::template_append_placeholders | ( | unsigned | num | ) |

See FLAC__metadata_object_seektable_template_append_placeholders()

bool FLAC::Metadata::SeekTable::template_append_point | ( | FLAC__uint64 | sample_number | ) |

See FLAC__metadata_object_seektable_template_append_point()

bool FLAC::Metadata::SeekTable::template_append_points | ( | FLAC__uint64 | sample_numbers[],
|  | unsigned | num
| ) |  |

See FLAC__metadata_object_seektable_template_append_points()

bool FLAC::Metadata::SeekTable::template_append_spaced_points | ( | unsigned | num,
|  | FLAC__uint64 | total_samples
| ) |  |

See FLAC__metadata_object_seektable_template_append_spaced_points()

bool FLAC::Metadata::SeekTable::template_append_spaced_points_by_samples | ( | unsigned | samples,
|  | FLAC__uint64 | total_samples
| ) |  |

See FLAC__metadata_object_seektable_template_append_spaced_points_by_samples()

bool FLAC::Metadata::SeekTable::template_sort | ( | bool | compact | ) |

See FLAC__metadata_object_seektable_template_sort()

Prototype& FLAC::Metadata::Prototype::assign_object | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) |  |
| protected inherited

Assigns an object with copy control. See Prototype(::FLAC__StreamMetadata *object, bool copy).

Referenced by FLAC::Metadata::StreamInfo::assign(), FLAC::Metadata::Padding::assign(), FLAC::Metadata::Application::assign(), assign(), FLAC::Metadata::VorbisComment::assign(), FLAC::Metadata::CueSheet::assign(), FLAC::Metadata::Picture::assign(), and FLAC::Metadata::Unknown::assign().

virtual void FLAC::Metadata::Prototype::clear | ( |  | ) |
| protected virtual inherited

Deletes the underlying FLAC__StreamMetadata object.

bool FLAC::Metadata::Prototype::get_is_last | ( |  | ) | const
| inherited

Returns `true` if this block is the last block in a stream, else `false`.

Assertions:
  is_valid()

::FLAC__MetadataType FLAC::Metadata::Prototype::get_type | ( |  | ) | const
| inherited

Returns the type of the block.

Assertions:
  is_valid()

unsigned FLAC::Metadata::Prototype::get_length | ( |  | ) | const
| inherited

Returns the stream length of the metadata block.

Note
  The length does not include the metadata block header, per spec.

Assertions:
  is_valid()

void FLAC::Metadata::Prototype::set_is_last | ( | bool |  | ) |
| inherited

Sets the "is_last" flag for the block. When using the iterators it is not necessary to set this flag; they will do it for you.

Assertions:
  is_valid()

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2013 Xiph.Org Foundation |